#
# spec file for package perl-Devel-OverloadInfo
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Devel-OverloadInfo
Version:        0.004
Release:        4.1
%define cpan_name Devel-OverloadInfo
Summary:        Introspect Overloaded Operators
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Devel-OverloadInfo/
Source0:        http://www.cpan.org/authors/id/I/IL/ILMARI/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(MRO::Compat)
BuildRequires:  perl(Package::Stash) >= 0.14
BuildRequires:  perl(Sub::Identify)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(parent)
Requires:       perl(MRO::Compat)
Requires:       perl(Package::Stash) >= 0.14
Requires:       perl(Sub::Identify)
%{perl_requires}

%description
Devel::OverloadInfo returns information about overload operators for a
given class (or object), including where in the inheritance hierarchy the
overloads are declared and where the code implementing it is.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Sun Aug 23 2015 coolo@suse.com
- updated to 0.004
  see /usr/share/doc/packages/perl-Devel-OverloadInfo/Changes
  0.004     2015-08-13 17:35:32+01:00 Europe/London
  - Document that existence of undef 'fallback' varies between perl versions
  - Add tests for empty, inherited-only and no overloading
  - Add is_overloaded() function
  0.003     2015-08-12 19:35:45+01:00 Europe/London
  - Return an empty hash instead of undef for classes with no overloads
  - Work around overload inheritance corruption before 5.16 (RT#106379)
* Tue Apr 14 2015 coolo@suse.com
- initial package $version
  * created by $NAME $VERSION
